[rspec-users] Rspec 1.1.2 on Windows

Luis Lavena luislavena at gmail.com
Tue Jan 22 11:31:23 EST 2008


On Jan 22, 2008 2:08 PM, BenFyvie <ben.fyvie at champsoftware.com> wrote:
>
>
> Thanks Luis,
>
> I used the code in your lighthouse case and I am now able to load the
> win32console gem.  However I am still not able to run tests because of the
> second problem I that I mentioned before with the uninitialized constant for
> Spec::Rails.  I see at least one other person with this problem, but no
> resolution.  http://www.ruby-forum.com/topic/135888
>

It's weird since I had done the same step mentioned in that post and
couldn't reproduce the problem.

Tried with and without rspec gem installed. Also tried using
script/spec, without problems.

> Care to help me troubleshoot this issue as well?  I've got the
> rspec_on_rails plugin installed and my spec_helper.rb is requiring
> spec/rails.
>

by CURRENT rspec tag, you mean the 1.1.2 release? can you ditch
vendor/plugins/rspec and rspec_on_rails and try again?

It's truly odd.

Can you try removing the spec.opts, spec_helper files and ran the
rspec generator again?

-- 
Luis Lavena
Multimedia systems
-
A common mistake that people make when trying to design
something completely foolproof is to underestimate
the ingenuity of complete fools.
Douglas Adams


More information about the rspec-users mailing list